commit:     2a09eece72dd88403ba3f003b859a5a80e91ad24
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 15 12:26:28 2016 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Tue Mar 15 12:26:36 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2a09eece

dev-tex/tex4ht: Grab texmf updates from texlive. Fixes bug #577436.

Package-Manager: portage-2.2.28
Signed-off-by: Alexis Ballier <aballier <AT> gentoo.org>

 dev-tex/tex4ht/Manifest                        |   1 +
 dev-tex/tex4ht/tex4ht-20090611_p1038-r4.ebuild | 123 +++++++++++++++++++++++++
 2 files changed, 124 insertions(+)

diff --git a/dev-tex/tex4ht/Manifest b/dev-tex/tex4ht/Manifest
index d9e1cb9..f9ae0d1 100644
--- a/dev-tex/tex4ht/Manifest
+++ b/dev-tex/tex4ht/Manifest
@@ -1 +1,2 @@
 DIST tex4ht-1.0.2009_06_11_1038.tar.gz 2576719 SHA256 
9f3e259641bb7d5f32b8efaa85cb7c1a9f1a17f5fc6a859c81449d9984ec91a3 SHA512 
868961c16da63ef20a8af3ec3e56a2b6c518a291cdbc3974f701773dbb55b844f0df06aae4c7b481c96b9e2ba29cb0f1ed1279b6f32340e4708e31bb67170963
 WHIRLPOOL 
3fd49876e0cc19432c0ba5142848dd034a528441586550c49d04187a301ceb44a7d4374ef57a5b658a19e32b039ce1cdaa742331baf0008d51098567556e46cd
+DIST tex4ht-texlive-2015-08-03.tar.xz 801488 SHA256 
2882e4c8e6510b742feef206e719725f5146f75b48db55449ca4dbff992dd6b1 SHA512 
a8a56e0d41406df8c76d72eea6f726f012d70a46665d9dfe99c7362790a2f0126f2c21e07c5de08aff7694e9837c47e162aa6790c256b4538f4780551f6e6191
 WHIRLPOOL 
cc41c346ba8f1bd7dfae6e2335c9f1611d73e768b6f251fcbdffad18172a16f3b41d6c0eb6a0d2a04a69fee09f1ed896212df1e7851b4ca3698d5640a9ec6ea4

diff --git a/dev-tex/tex4ht/tex4ht-20090611_p1038-r4.ebuild 
b/dev-tex/tex4ht/tex4ht-20090611_p1038-r4.ebuild
new file mode 100644
index 0000000..63a916d
--- /dev/null
+++ b/dev-tex/tex4ht/tex4ht-20090611_p1038-r4.ebuild
@@ -0,0 +1,123 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+
+inherit latex-package toolchain-funcs java-pkg-opt-2 flag-o-matic
+
+TL_TEX4HT_VER=2015-08-03
+IUSE=""
+
+# tex4ht-20050331_p2350 -> tex4ht-1.0.2005_03_31_2350
+MY_P="${PN}-1.0.${PV:0:4}_${PV:4:2}_${PV:6:2}_${PV/*_p/}"
+
+DESCRIPTION="Converts (La)TeX to (X)HTML, XML and OO.org"
+HOMEPAGE="http://www.cse.ohio-state.edu/~gurari/TeX4ht/
+       http://www.cse.ohio-state.edu/~gurari/TeX4ht/bugfixes.html";
+SRC_URI="http://www.cse.ohio-state.edu/~gurari/TeX4ht/fix/${MY_P}.tar.gz
+       mirror://gentoo/${PN}-texlive-${TL_TEX4HT_VER}.tar.xz"
+
+LICENSE="LPPL-1.2"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 
~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux"
+SLOT="0"
+
+DEPEND=">=sys-apps/sed-4
+       virtual/pkgconfig
+       dev-libs/kpathsea
+       java? ( >=virtual/jdk-1.5 )"
+
+RDEPEND="app-text/ghostscript-gpl
+       media-gfx/imagemagick
+       dev-libs/kpathsea
+       java? ( >=virtual/jre-1.5 )"
+
+IUSE="java"
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+       cp -a "${WORKDIR}/texmf-dist/"* texmf/ || die
+       cd "${S}/texmf/tex4ht/base/unix"
+       sed -i \
+               -e "s#~/tex4ht.dir#${EPREFIX}/usr/share#" \
+               -e 
"s#tpath/tex/texmf/fonts/tfm/!#t${EPREFIX}/usr/share/texmf-dist/fonts/tfm/!\nt${EPREFIX}/usr/local/share/texmf/fonts/tfm/!\nt${EPREFIX}/var/cache/fonts/tfm/!\nt${EPREFIX}${TEXMF}/fonts/tfm/!#"
 \
+               -e "s#%%~/texmf-dist#${EPREFIX}${TEXMF}#g" \
+               -e "s#/usr/share/texmf/#${EPREFIX}${TEXMF}/#" \
+               tex4ht.env \
+               || die "sed of tex4ht.env failed"
+
+       einfo "Removing precompiled java stuff"
+       find "${S}" '(' -name '*.class' -o -name '*.jar' ')' -print -delete
+}
+
+src_compile() {
+       has_version '>=dev-libs/kpathsea-6.2.1' && append-cppflags 
"$($(tc-getPKG_CONFIG) --cflags kpathsea)"
+
+       cd "${S}/src/"
+       einfo "Compiling postprocessor sources..."
+       for f in tex4ht t4ht htcmd ; do
+               $(tc-getCC) ${CPPFLAGS} ${CFLAGS} ${LDFLAGS} -o $f $f.c \
+                       
-DENVFILE="\"${EPREFIX}${TEXMF}/tex4ht/base/tex4ht.env\"" \
+                       -DHAVE_DIRENT_H -DKPATHSEA -lkpathsea \
+                       || die "Compiling $f failed"
+       done
+       if use java; then
+               einfo "Compiling java files..."
+               cd java
+               ejavac *.java */*.java */*/*.java -d ../../texmf/tex4ht/bin
+               cd "${S}/texmf/tex4ht/bin"
+               # Create the jar needed by oolatex
+               jar -cf "${S}/${PN}.jar" * || die "failed to create jar"
+       fi
+}
+
+src_install () {
+       # install the binaries
+       dobin "${S}/src/tex4ht" "${S}/src/t4ht" "${S}/src/htcmd"
+       # install the scripts
+       if ! use java; then
+               rm -f "${S}"/bin/unix/oo*
+               rm -f "${S}"/bin/unix/jh*
+       fi
+       dobin "${S}"/bin/unix/mk4ht || die
+
+       # install the .4ht scripts
+       insinto ${TEXMF}/tex/generic/tex4ht
+       doins "${S}"/texmf/tex/generic/tex4ht/* || die
+
+       # install the special htf fonts
+       insinto ${TEXMF}/tex4ht
+       doins -r "${S}/texmf/tex4ht/ht-fonts" || die
+
+       if use java; then
+               # install the java files
+               doins -r "${S}/texmf/tex4ht/bin"
+               java-pkg_jarinto ${TEXMF}/tex4ht/bin
+               java-pkg_dojar "${S}/${PN}.jar"
+       fi
+
+       # install the .4xt files
+       doins -r "${S}/texmf/tex4ht/xtpipes" || die
+
+       # install the env file
+       insinto ${TEXMF}/tex4ht/base
+       newins "${S}/texmf/tex4ht/base/unix/tex4ht.env" tex4ht.env || die
+
+       if latex-package_has_tetex_3 ; then
+               insinto /etc/texmf/texmf.d
+               doins "${FILESDIR}/50tex4ht.cnf" || die
+       fi
+
+       insinto ${TEXMF}/tex/generic/${PN}
+       insopts -m755
+       doins "${S}"/bin/ht/unix/* || die
+}
+
+pkg_postinst() {
+       use java ||     elog 'ODF converters (oolatex & friends) require the 
java use flag'
+       latex-package_pkg_postinst
+       elog "In order to avoid collisions with multiple packages"
+       elog "We are not installing the scripts in /usr/bin anymore"
+       elog "If you want to use, say, htlatex, you can use 'mk4ht htlatex 
file'"
+}

Reply via email to